loci.formats.in

## Class CV7000Reader.WPIHandler

- java.lang.Object
- - org.xml.sax.helpers.DefaultHandler
  - - loci.common.xml.BaseHandler
    - - loci.formats.in.CV7000Reader.WPIHandler

- All Implemented Interfaces:
    org.xml.sax.ContentHandler, org.xml.sax.DTDHandler, org.xml.sax.EntityResolver, org.xml.sax.ErrorHandler
  Enclosing class:
    CV7000Reader

      class CV7000Reader.WPIHandler
      extends loci.common.xml.BaseHandler

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.String` | `description`
    `private java.lang.String` | `name`
    `private int` | `plateColumns`
    `private java.lang.String` | `plateID`
    `private int` | `plateRows`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WPIHandler()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getPlateColumns()`
    `java.lang.String` | `getPlateDescription()`
    `java.lang.String` | `getPlateID()`
    `java.lang.String` | `getPlateName()`
    `int` | `getPlateRows()`
    `void` | `startElement(java.lang.String uri, java.lang.String localName, java.lang.String qName, org.xml.sax.Attributes attributes)`

    - ### Methods inherited from class loci.common.xml.BaseHandler

      `resolveEntity`

    - ### Methods inherited from class org.xml.sax.helpers.DefaultHandler

      `characters, endDocument, endElement, endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, setDocumentLocator, skippedEntity, startDocument, startPrefixMapping, unparsedEntityDecl, warning`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### plateRows

          private int plateRows

    - #### plateColumns

          private int plateColumns

    - #### name

          private java.lang.String name

    - #### plateID

          private java.lang.String plateID

    - #### description

          private java.lang.String description

  - ### Constructor Detail

    - #### WPIHandler

          WPIHandler()

  - ### Method Detail

    - #### getPlateRows

          public int getPlateRows()

    - #### getPlateColumns

          public int getPlateColumns()

    - #### getPlateName

          public java.lang.String getPlateName()

    - #### getPlateID

          public java.lang.String getPlateID()

    - #### getPlateDescription

          public java.lang.String getPlateDescription()

    - #### startElement

          public void startElement(java.lang.String uri,
                                   java.lang.String localName,
                                   java.lang.String qName,
                                   org.xml.sax.Attributes attributes)

      Specified by:
        `startElement` in interface `org.xml.sax.ContentHandler`
      Overrides:
        `startElement` in class `org.xml.sax.helpers.DefaultHandler`

Copyright © 2026 Open Microscopy Environment